package io.swagger.test_swagger_java_client;

import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.LoginApi;

import java.io.File;
import java.util.*;

public class App {

    public static void main(String[] args) throws ApiException {
    	
      // Say Hello
      System.out.println("Hello world");
        
      String baseApiUrl = "https://wmcintegration.wanesy.com/gms";
  	  //String token = "your-token-goes here";
  	  int connectTimeout = 60000;
  	  int readTimeout = 120000;

  	  // Create an ApiClient per thread
  	  ApiClient client = new ApiClient();

  	  client.setBasePath(baseApiUrl); 	  
  	  client.setConnectTimeout(connectTimeout);
  	  client.setDebugging(true);

  	  LoginApi loginApi = new LoginApi(client);
  	  
  	  UserDto body = new UserDto ();
  	  body.setLogin("your_dahsboard_login");
  	  body.setPassword("your_dashboard_password");
  	  
  	  System.out.println("Login Post");
  	  loginApi.applicationLoginPost(body);
    
  	  // Set token value
  	  //client.setApiKey("Bearer " + token);
  	
  	  System.out.println("Test Done");
  	
    }
}